diff --git a/libpurple/purplecredentialmanager.c b/libpurple/purplecredentialmanager.c
--- a/libpurple/purplecredentialmanager.c
+++ b/libpurple/purplecredentialmanager.c
@@ -200,7 +200,7 @@
 	 *
 	 * Emitted after @provider has been registered in @manager.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_REGISTERED] = g_signal_new_class_handler(
 		"registered",
@@ -221,7 +221,7 @@
 	 *
 	 * Emitted after @provider has been unregistered from @manager.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_UNREGISTERED] = g_signal_new_class_handler(
 		"unregistered",
@@ -243,7 +243,7 @@
 	 *
 	 * Emitted after @provider has become the active provider for @manager.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	signals[SIG_ACTIVE_CHANGED] = g_signal_new_class_handler(
 		"active-changed",
diff --git a/libpurple/purplecredentialprovider.h b/libpurple/purplecredentialprovider.h
--- a/libpurple/purplecredentialprovider.h
+++ b/libpurple/purplecredentialprovider.h
@@ -41,7 +41,7 @@
  *
  * A #GError domain for errors from #PurpleCredentialProviders.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_CREDENTIAL_PROVIDER_DOMAIN \
 	g_quark_from_static_string("purple-credential-provider") \
@@ -55,7 +55,7 @@
  * libpurple ships with plugins for libsecret, macOS Keychain Access, KWallet,
  * and the Windows Credentials store by subclassing #PurpleCredentialProvider.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 
 #define PURPLE_TYPE_CREDENTIAL_PROVIDER (purple_credential_provider_get_type())
@@ -78,7 +78,7 @@
  * #PurpleCredentialProviderClass defines the interface for interacting with
  * credential providers like libsecret, kwallet, etc.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 struct _PurpleCredentialProviderClass {
 	/*< private >*/
@@ -111,7 +111,7 @@
  *
  * Returns: The identifier of @provider.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_credential_provider_get_id(PurpleCredentialProvider *provider);
@@ -124,7 +124,7 @@
  *
  * Returns: The name of @provider.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_credential_provider_get_name(PurpleCredentialProvider *provider);
@@ -138,7 +138,7 @@
  *
  * Returns: The description of @provider.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_credential_provider_get_description(PurpleCredentialProvider *provider);
@@ -154,7 +154,7 @@
  *
  * Returns: %FALSE on error, otherwise %TRUE.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_credential_provider_is_valid(PurpleCredentialProvider *provider, GError **error);
@@ -170,7 +170,7 @@
  *
  * Reads the password for @account from @provider.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_credential_provider_read_password_async(PurpleCredentialProvider *provider, PurpleAccount *account, GCancellable *cancellable, GAsyncReadyCallback callback, gpointer data);
@@ -187,7 +187,7 @@
  * Returns: (transfer full): The password or %NULL if successful, otherwise
  *                           %NULL with @error set on failure.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gchar *purple_credential_provider_read_password_finish(PurpleCredentialProvider *provider, GAsyncResult *result, GError **error);
@@ -204,7 +204,7 @@
  *
  * Writes @password for @account to @provider.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_credential_provider_write_password_async(PurpleCredentialProvider *provider, PurpleAccount *account, const gchar *password, GCancellable *cancellable, GAsyncReadyCallback callback, gpointer data);
@@ -222,7 +222,7 @@
  * Returns: %TRUE if the password was written successfully, otherwise %FALSE
  *          with @error set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_credential_provider_write_password_finish(PurpleCredentialProvider *provider, GAsyncResult *result, GError **error);
@@ -238,7 +238,7 @@
  *
  * Clears the password for @account from @provider.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_credential_provider_clear_password_async(PurpleCredentialProvider *provider, PurpleAccount *account, GCancellable *cancellable, GAsyncReadyCallback callback, gpointer data);
@@ -256,7 +256,7 @@
  * Returns: %TRUE if the password didn't exist or was cleared successfully,
  *          otherwise %FALSE with @error set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_credential_provider_clear_password_finish(PurpleCredentialProvider *provider, GAsyncResult *result, GError **error);
@@ -270,7 +270,7 @@
  * Returns: (transfer none): The settings for @provider or %NULL if @provider
  *          doesn't have any settings.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GSettings *purple_credential_provider_get_settings(PurpleCredentialProvider *provider);
diff --git a/libpurple/purplecredentialprovider.c b/libpurple/purplecredentialprovider.c
--- a/libpurple/purplecredentialprovider.c
+++ b/libpurple/purplecredentialprovider.c
@@ -203,7 +203,7 @@
 	 * The ID of the provider.  Used for preferences and other things that need
 	 * to address it.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_ID] = g_param_spec_string(
 		"id", "id", "The identifier of the provider",
@@ -216,7 +216,7 @@
 	 *
 	 * The name of the provider which will be displayed to the user.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_NAME] = g_param_spec_string(
 		"name", "name", "The name of the provider",
@@ -229,7 +229,7 @@
 	 *
 	 * The description of the provider which will be displayed to the user.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_DESCRIPTION] = g_param_spec_string(
 		"description", "description", "The description of the provider",
@@ -243,7 +243,7 @@
 	 * The [class@Gio.Settings] used to configure the provider. This may be
 	 * %NULL.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_SETTINGS] = g_param_spec_object(
 		"settings", "settings",
